<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateConjointsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('conjoints', function (Blueprint $table) {
            $table->id();
            $table->string('nom');
            $table->string('prenom');
            $table->mediumText('adresse');
            $table->integer('cp');
            $table->string('ville');
            $table->integer('pays')->default(1);
            $table->date('date_naissance');
            $table->string('ville_naissance');
            $table->string('departement_naissance');
            $table->date('date_mariage');
            $table->string('lieu_mariage');
            $table->string('regime_communautaire');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('conjoints');
    }
}
